umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
widget_factory.cpp File Reference
`#include "widget_factory.h"`
`#include "activitywidget.h"`
`#include "actor.h"`
`#include "actorwidget.h"`
`#include "artifact.h"`
`#include "artifactwidget.h"`
`#include "associationwidget.h"`
`#include "boxwidget.h"`
`#include "category.h"`
`#include "categorywidget.h"`
`#include "classifier.h"`
`#include "classifierwidget.h"`
`#include "cmds.h"`
`#include "combinedfragmentwidget.h"`
`#include "component.h"`
`#include "componentwidget.h"`
`#include "datatypewidget.h"`
`#include "debug_utils.h"`
`#include "entity.h"`
`#include "entitywidget.h"`
`#include "enum.h"`
`#include "enumwidget.h"`
`#include "instance.h"`
`#include "floatingdashlinewidget.h"`
`#include "floatingtextwidget.h"`
`#include "folder.h"`
`#include "forkjoinwidget.h"`
`#include "interfacewidget.h"`
`#include "messagewidget.h"`
`#include "node.h"`
`#include "nodewidget.h"`
`#include "notewidget.h"`
`#include "object_factory.h"`
`#include "objectnodewidget.h"`
`#include "objectwidget.h"`
`#include "package.h"`
`#include "packagewidget.h"`
`#include "pinwidget.h"`
`#include "port.h"`
`#include "portwidget.h"`
`#include "preconditionwidget.h"`
`#include "regionwidget.h"`
`#include "signalwidget.h"`
`#include "statewidget.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlscene.h"`
`#include "umlview.h"`
`#include "usecase.h"`
`#include "usecasewidget.h"`

## Namespaces
namespace | Widget_Factory

## Macros
#define | DBG_SRC QStringLiteral("Widget_Factory")

## Functions
UMLWidget * | Widget_Factory::createWidget (UMLScene *scene, UMLObject *o)
bool | Widget_Factory::validateObjType (UMLObject::ObjectType expected, UMLObject *&o, Uml::ID::Type id)
UMLWidget * | Widget_Factory::makeWidgetFromXMI (const QString &tag, const QString &idStr, UMLScene *scene)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Widget_Factory")